Bug 101553 - orinoco_cs periodically drops connection with linksys wpc11v3
orinoco_cs periodically drops connection with linksys wpc11v3
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-08-03 13:23 EDT by Jeff Hinrichs
Modified: 2007-04-18 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Hinrichs 2003-08-03 13:23:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I couldn't reopen bug 86180 so I am filing a new one to re-open.
I am Running Red Hat 9 with kernel 2.4.20-19.8. I have a Linksys WPC11 v3 (Prism
3) 802.11b card. Using an AP which broadcasts its SSID and no encryption, the
orinoco_cs driver mostly works. The driver periodically drops the connection.
When this happens pinging any hosts on my LAN (like the default gateway) yields
"destination unreachable." This is not an issue with inactivity, I've seen this
happen with several active connections.

problem still persists on RH9
uname -a:
Linux localhost.localdomain 2.4.20-19.9 #1 Tue Jul 15 17:18:13 EDT 2003 i686
i686 i386 GNU/Linux

[root@localhost ng]# /sbin/cardctl ident
Socket 0:
  product info: "The Linksys Group, Inc.", "Instant Wireless Network PC Card", "
     ISL37300P", "RevA"
  manfid: 0x0274, 0x1613
  function: 6 (network)
Socket 1:
  no product info available

/var/log/messages: (skipped the repeated X times messages, ususally in order of
hundreds or thousands)
Jul 29 22:31:22 localhost kernel: eth0: Error -110 writing Tx descriptor to BAP
Jul 31 20:41:10 localhost kernel: eth0: Error -110 writing Tx descriptor to BAP
Jul 31 21:31:41 localhost kernel: eth0: Error -110 writing Tx descriptor to BAP
Aug  1 20:24:55 localhost kernel: eth0: Error -110 writing Tx descriptor to BAP

Symptoms remain the same, if enough Error -110 occur (thousands) network
connection is lost.  If interface restarted quickly you can recover, if left to
error for too long only a restart will get you back up on the net.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.config wireless as orinoco_cs as detected
2.start working

Actual Results:  If caught early, a restart of pcmcia and network seems to
correct.  If left uncaught it can force you to restart to get a net connection back

Expected Results:  Card sure work without problem

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:41:23 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.